Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network169.254.88.0/23
Usable hosts510
Subnet mask255.255.254.0
Addresses512
Network address
169.254.88.0
Broadcast address
169.254.89.255
First usable
169.254.88.1
Last usable
169.254.89.254
Usable hosts
510 (512 less the network and broadcast addresses)
Subnet mask
255.255.254.0
Wildcard mask
0.0.1.255 (Cisco ACLs, OSPF)
Prefix length
/23
Type
Link-local (APIPA) 169.254.0.0/16
Self-assigned when no DHCP server answers
Old class
B (default /16)
As numbers
Hex A9FE5800 · Integer 2852018176 to 2852018687
Reverse DNS zones
88.254.169.in-addr.arpa
89.254.169.in-addr.arpa
/23 is not on a 8-bit boundary, so it takes 2 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10101001.11111110.01011000.00000000169.254.88.0
Subnet mask11111111.11111111.11111110.00000000255.255.254.0
Network10101001.11111110.01011000.00000000169.254.88.0
Broadcast10101001.11111110.01011001.11111111169.254.89.255
Split into smaller subnets/30

169.254.88.0/23 makes 128 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1169.254.88.0/30169.254.88.1 to 169.254.88.2169.254.88.32
2169.254.88.4/30169.254.88.5 to 169.254.88.6169.254.88.72
3169.254.88.8/30169.254.88.9 to 169.254.88.10169.254.88.112
4169.254.88.12/30169.254.88.13 to 169.254.88.14169.254.88.152
5169.254.88.16/30169.254.88.17 to 169.254.88.18169.254.88.192
6169.254.88.20/30169.254.88.21 to 169.254.88.22169.254.88.232
7169.254.88.24/30169.254.88.25 to 169.254.88.26169.254.88.272
8169.254.88.28/30169.254.88.29 to 169.254.88.30169.254.88.312
9169.254.88.32/30169.254.88.33 to 169.254.88.34169.254.88.352
10169.254.88.36/30169.254.88.37 to 169.254.88.38169.254.88.392
11169.254.88.40/30169.254.88.41 to 169.254.88.42169.254.88.432
12169.254.88.44/30169.254.88.45 to 169.254.88.46169.254.88.472
13169.254.88.48/30169.254.88.49 to 169.254.88.50169.254.88.512
14169.254.88.52/30169.254.88.53 to 169.254.88.54169.254.88.552
15169.254.88.56/30169.254.88.57 to 169.254.88.58169.254.88.592
16169.254.88.60/30169.254.88.61 to 169.254.88.62169.254.88.632
17169.254.88.64/30169.254.88.65 to 169.254.88.66169.254.88.672
18169.254.88.68/30169.254.88.69 to 169.254.88.70169.254.88.712
19169.254.88.72/30169.254.88.73 to 169.254.88.74169.254.88.752
20169.254.88.76/30169.254.88.77 to 169.254.88.78169.254.88.792
21169.254.88.80/30169.254.88.81 to 169.254.88.82169.254.88.832
22169.254.88.84/30169.254.88.85 to 169.254.88.86169.254.88.872
23169.254.88.88/30169.254.88.89 to 169.254.88.90169.254.88.912
24169.254.88.92/30169.254.88.93 to 169.254.88.94169.254.88.952
25169.254.88.96/30169.254.88.97 to 169.254.88.98169.254.88.992
26169.254.88.100/30169.254.88.101 to 169.254.88.102169.254.88.1032
27169.254.88.104/30169.254.88.105 to 169.254.88.106169.254.88.1072
28169.254.88.108/30169.254.88.109 to 169.254.88.110169.254.88.1112
29169.254.88.112/30169.254.88.113 to 169.254.88.114169.254.88.1152
30169.254.88.116/30169.254.88.117 to 169.254.88.118169.254.88.1192
31169.254.88.120/30169.254.88.121 to 169.254.88.122169.254.88.1232
32169.254.88.124/30169.254.88.125 to 169.254.88.126169.254.88.1272
33169.254.88.128/30169.254.88.129 to 169.254.88.130169.254.88.1312
34169.254.88.132/30169.254.88.133 to 169.254.88.134169.254.88.1352
35169.254.88.136/30169.254.88.137 to 169.254.88.138169.254.88.1392
36169.254.88.140/30169.254.88.141 to 169.254.88.142169.254.88.1432
37169.254.88.144/30169.254.88.145 to 169.254.88.146169.254.88.1472
38169.254.88.148/30169.254.88.149 to 169.254.88.150169.254.88.1512
39169.254.88.152/30169.254.88.153 to 169.254.88.154169.254.88.1552
40169.254.88.156/30169.254.88.157 to 169.254.88.158169.254.88.1592
41169.254.88.160/30169.254.88.161 to 169.254.88.162169.254.88.1632
42169.254.88.164/30169.254.88.165 to 169.254.88.166169.254.88.1672
43169.254.88.168/30169.254.88.169 to 169.254.88.170169.254.88.1712
44169.254.88.172/30169.254.88.173 to 169.254.88.174169.254.88.1752
45169.254.88.176/30169.254.88.177 to 169.254.88.178169.254.88.1792
46169.254.88.180/30169.254.88.181 to 169.254.88.182169.254.88.1832
47169.254.88.184/30169.254.88.185 to 169.254.88.186169.254.88.1872
48169.254.88.188/30169.254.88.189 to 169.254.88.190169.254.88.1912
49169.254.88.192/30169.254.88.193 to 169.254.88.194169.254.88.1952
50169.254.88.196/30169.254.88.197 to 169.254.88.198169.254.88.1992
51169.254.88.200/30169.254.88.201 to 169.254.88.202169.254.88.2032
52169.254.88.204/30169.254.88.205 to 169.254.88.206169.254.88.2072
53169.254.88.208/30169.254.88.209 to 169.254.88.210169.254.88.2112
54169.254.88.212/30169.254.88.213 to 169.254.88.214169.254.88.2152
55169.254.88.216/30169.254.88.217 to 169.254.88.218169.254.88.2192
56169.254.88.220/30169.254.88.221 to 169.254.88.222169.254.88.2232
57169.254.88.224/30169.254.88.225 to 169.254.88.226169.254.88.2272
58169.254.88.228/30169.254.88.229 to 169.254.88.230169.254.88.2312
59169.254.88.232/30169.254.88.233 to 169.254.88.234169.254.88.2352
60169.254.88.236/30169.254.88.237 to 169.254.88.238169.254.88.2392
61169.254.88.240/30169.254.88.241 to 169.254.88.242169.254.88.2432
62169.254.88.244/30169.254.88.245 to 169.254.88.246169.254.88.2472
63169.254.88.248/30169.254.88.249 to 169.254.88.250169.254.88.2512
64169.254.88.252/30169.254.88.253 to 169.254.88.254169.254.88.2552
65169.254.89.0/30169.254.89.1 to 169.254.89.2169.254.89.32
66169.254.89.4/30169.254.89.5 to 169.254.89.6169.254.89.72
67169.254.89.8/30169.254.89.9 to 169.254.89.10169.254.89.112
68169.254.89.12/30169.254.89.13 to 169.254.89.14169.254.89.152
69169.254.89.16/30169.254.89.17 to 169.254.89.18169.254.89.192
70169.254.89.20/30169.254.89.21 to 169.254.89.22169.254.89.232
71169.254.89.24/30169.254.89.25 to 169.254.89.26169.254.89.272
72169.254.89.28/30169.254.89.29 to 169.254.89.30169.254.89.312
73169.254.89.32/30169.254.89.33 to 169.254.89.34169.254.89.352
74169.254.89.36/30169.254.89.37 to 169.254.89.38169.254.89.392
75169.254.89.40/30169.254.89.41 to 169.254.89.42169.254.89.432
76169.254.89.44/30169.254.89.45 to 169.254.89.46169.254.89.472
77169.254.89.48/30169.254.89.49 to 169.254.89.50169.254.89.512
78169.254.89.52/30169.254.89.53 to 169.254.89.54169.254.89.552
79169.254.89.56/30169.254.89.57 to 169.254.89.58169.254.89.592
80169.254.89.60/30169.254.89.61 to 169.254.89.62169.254.89.632
81169.254.89.64/30169.254.89.65 to 169.254.89.66169.254.89.672
82169.254.89.68/30169.254.89.69 to 169.254.89.70169.254.89.712
83169.254.89.72/30169.254.89.73 to 169.254.89.74169.254.89.752
84169.254.89.76/30169.254.89.77 to 169.254.89.78169.254.89.792
85169.254.89.80/30169.254.89.81 to 169.254.89.82169.254.89.832
86169.254.89.84/30169.254.89.85 to 169.254.89.86169.254.89.872
87169.254.89.88/30169.254.89.89 to 169.254.89.90169.254.89.912
88169.254.89.92/30169.254.89.93 to 169.254.89.94169.254.89.952
89169.254.89.96/30169.254.89.97 to 169.254.89.98169.254.89.992
90169.254.89.100/30169.254.89.101 to 169.254.89.102169.254.89.1032
91169.254.89.104/30169.254.89.105 to 169.254.89.106169.254.89.1072
92169.254.89.108/30169.254.89.109 to 169.254.89.110169.254.89.1112
93169.254.89.112/30169.254.89.113 to 169.254.89.114169.254.89.1152
94169.254.89.116/30169.254.89.117 to 169.254.89.118169.254.89.1192
95169.254.89.120/30169.254.89.121 to 169.254.89.122169.254.89.1232
96169.254.89.124/30169.254.89.125 to 169.254.89.126169.254.89.1272
97169.254.89.128/30169.254.89.129 to 169.254.89.130169.254.89.1312
98169.254.89.132/30169.254.89.133 to 169.254.89.134169.254.89.1352
99169.254.89.136/30169.254.89.137 to 169.254.89.138169.254.89.1392
100169.254.89.140/30169.254.89.141 to 169.254.89.142169.254.89.1432
101169.254.89.144/30169.254.89.145 to 169.254.89.146169.254.89.1472
102169.254.89.148/30169.254.89.149 to 169.254.89.150169.254.89.1512
103169.254.89.152/30169.254.89.153 to 169.254.89.154169.254.89.1552
104169.254.89.156/30169.254.89.157 to 169.254.89.158169.254.89.1592
105169.254.89.160/30169.254.89.161 to 169.254.89.162169.254.89.1632
106169.254.89.164/30169.254.89.165 to 169.254.89.166169.254.89.1672
107169.254.89.168/30169.254.89.169 to 169.254.89.170169.254.89.1712
108169.254.89.172/30169.254.89.173 to 169.254.89.174169.254.89.1752
109169.254.89.176/30169.254.89.177 to 169.254.89.178169.254.89.1792
110169.254.89.180/30169.254.89.181 to 169.254.89.182169.254.89.1832
111169.254.89.184/30169.254.89.185 to 169.254.89.186169.254.89.1872
112169.254.89.188/30169.254.89.189 to 169.254.89.190169.254.89.1912
113169.254.89.192/30169.254.89.193 to 169.254.89.194169.254.89.1952
114169.254.89.196/30169.254.89.197 to 169.254.89.198169.254.89.1992
115169.254.89.200/30169.254.89.201 to 169.254.89.202169.254.89.2032
116169.254.89.204/30169.254.89.205 to 169.254.89.206169.254.89.2072
117169.254.89.208/30169.254.89.209 to 169.254.89.210169.254.89.2112
118169.254.89.212/30169.254.89.213 to 169.254.89.214169.254.89.2152
119169.254.89.216/30169.254.89.217 to 169.254.89.218169.254.89.2192
120169.254.89.220/30169.254.89.221 to 169.254.89.222169.254.89.2232
121169.254.89.224/30169.254.89.225 to 169.254.89.226169.254.89.2272
122169.254.89.228/30169.254.89.229 to 169.254.89.230169.254.89.2312
123169.254.89.232/30169.254.89.233 to 169.254.89.234169.254.89.2352
124169.254.89.236/30169.254.89.237 to 169.254.89.238169.254.89.2392
125169.254.89.240/30169.254.89.241 to 169.254.89.242169.254.89.2432
126169.254.89.244/30169.254.89.245 to 169.254.89.246169.254.89.2472
127169.254.89.248/30169.254.89.249 to 169.254.89.250169.254.89.2512
128169.254.89.252/30169.254.89.253 to 169.254.89.254169.254.89.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses